/*
 * XdccDownloader - BotAdded.java - Copyright © 2013 David Roden
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.pterodactylus.xdcc.core.event;

import net.pterodactylus.xdcc.data.Bot;

/**
 * Notifies listeners that a {@link Bot} was added.
 *
 * @author <a href="mailto:bombe@pterodactylus.net">David ‘Bombe’ Roden</a>
 */
public class BotAdded {

	/** The bot that was added. */
	private final Bot bot;

	/**
	 * Creates a new bot added event.
	 *
	 * @param bot
	 * 		The bot that was added
	 */
	public BotAdded(Bot bot) {
		this.bot = bot;
	}

	//
	// ACCESSORS
	//

	/**
	 * Returns the bot that was added.
	 *
	 * @return The bot that was added.
	 */
	public Bot bot() {
		return bot;
	}

}
