package net.pterodactylus.xdcc.data;

import java.util.Collection;

/**
 * Collections information about a connected network.
 *
 * @author <a href="mailto:bombe@pterodactylus.net">David ‘Bombe’ Roden</a>
 */
public class ConnectedNetwork {

	private final Network network;
	private final String hostname;
	private final int port;
	private final String nickname;
	private final Collection<String> channels;
	private final Collection<String> forcedChannels;
	private final int botCount;
	private final int packCount;

	public ConnectedNetwork(Network network, String hostname, int port,
			String nickname, Collection<String> channels,
			Collection<String> forcedChannels, int botCount, int packCount) {
		this.network = network;
		this.hostname = hostname;
		this.port = port;
		this.nickname = nickname;
		this.channels = channels;
		this.forcedChannels = forcedChannels;
		this.botCount = botCount;
		this.packCount = packCount;
	}

	public Network getNetwork() {
		return network;
	}

	public String getHostname() {
		return hostname;
	}

	public int getPort() {
		return port;
	}

	public String getNickname() {
		return nickname;
	}

	public Collection<String> getChannels() {
		return channels;
	}

	public Collection<String> getForcedChannels() {
		return forcedChannels;
	}

	public int getBotCount() {
		return botCount;
	}

	public int getPackCount() {
		return packCount;
	}

}
